#include <QApplication>
#include "mainwindow.h"

//global functions
//alocare dinamica de matrice (int) 
int** newMatrixInt(int const &m, int const &n)
{
    int *p, **q;
    int i;
    
    p = new int[m*n];
    q = (int**)(new int[m]);
    
    for (i=0; i<m; i++)
    {
	q[i] = p;
	p += n;
    }
    return q;
}

//alocare dinamica de matrice (double) 
double** newMatrixDouble(int const &m, int const &n)
{
    double *p, **q;
    int i;
    
    p = new double[m*n];
    q = (double**)(new double[m]);
    
    for (i=0; i<m; i++)
    {
	q[i] = p;
	p += n;
    }
    return q;
}

int main(int argc, char* argv[])
{
    QApplication app(argc, argv);
    MainWindow mainWindow;
    mainWindow.show();
    
    return app.exec();
}  
