#ifndef ANT_H
#define ANT_H

#include <QGraphicsItem>

class Ant : public QGraphicsItem
{
public:
    Ant();
    Ant(QColor color, int const &radius=10);

    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
                QWidget *widget);

private:
    QColor color;
    int radius;
    QImage image;

};

#endif
