#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include <QDialog>
#include "pages.h"

class QListWidget;
class QListWidgetItem;
class QStackedWidget;
class QPushButton;

class ConfigDialog : public QDialog
{
    Q_OBJECT

public:
    ConfigDialog(QWidget *parent=0);
    QStackedWidget *pagesWidget;

    AntConfig *antConfig;
    //AnimConfig *animConfig;

public slots:
    void changePage(QListWidgetItem *current, QListWidgetItem *previous);
    
private:
    void createIcons();

    QListWidget *contentsWidget;    
    QPushButton *okButton;
    QPushButton *cancelButton;
};

#endif
